#include "em_device.h"
#include "hardware.h"
#include "em_cryotimer.h"
#include "em_gpio.h"

#define RED_LED 	8
#define GREEN_LED 	9

int main(void)
{
	EMU_setup();
	CMU_setup();
	GPIO_setup();
	CRYOTIMER_setup();

	while (1)
	{
		__WFI();

	}
}

void CRYOTIMER_IRQHandler(void)
{
  // Acknowledge the interrupt
  uint32_t flags = CRYOTIMER_IntGet();
  CRYOTIMER_IntClear(flags);

  // Put a barrier here to ensure interrupts are not retriggered. See note above
  __DSB();

  // Toggle LED0
  GPIO_PinOutToggle(gpioPortD, GREEN_LED);
}




